Bug 55980 - ps option to suppress threads
ps option to suppress threads
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 15:24 EST by Frank Hirtz
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 07:55:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Hirtz 2001-11-09 15:24:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
We need an option to ps to suppress the display of threads.  The manpage
suggests a -m option to show threads (suggesting an obvious -M to suppress
them?) but the version shipped with Red Hat Linux responds "ps: error:
Thread display not implemented".

This is coming up in a number of contexts and so is a relatively high priority.

---

This should be tied to the work that is already being done to have the
kernel export some information on threads (tgid) which should already be
underway.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ps -m
2.
3.
	

Actual Results:  ps: error: Thread display not implemented.


Additional info:
Comment 1 Alexander Larsson 2002-07-01 10:02:32 EDT
Fixed in 2.0.7-18
Comment 2 bdraco 2003-02-16 22:40:48 EST
The "fix" leaves no way to display the complete list of pids (even if they are
just threads).   There should be an option to have the old behavior. -m doesn't
display them
Comment 3 Alexander Larsson 2003-02-17 05:47:14 EST
On what system does -m not work?
It does work for me on e.g. RH 8.0.
Comment 4 Alexander Larsson 2004-02-05 05:30:59 EST
Mass reassign to the new owner

Note You need to log in before you can comment on or make changes to this bug.